Summary:	A graphics library for drawing .gif files.
Name:		libgd
Group:		System Environment/Libraries
License:	BSD-style
Version:	2.0.33
Release:	1
Source0		http://www.boutell.com/gd/http/gd-%{version}.tar.gz
Prereq:		/sbin/ldconfig
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Provides:	gd
Obsoletes:	gd

%description
Gd is a graphics library for drawing .gif files.  Gd allows your code to
quickly draw images (lines, arcs, text, multiple colors, cutting and
pasting from other images, flood fills) and write out the result as a
.gif file. Gd is particularly useful in web applications, where .gifs
are commonly used as inline images.  Note, however, that gd is not a
paint program.

%files
  %defattr(-,root,root)
  %doc index.html
  %attr(0555,root,root)	%{_libdir}/libgd.so.*

%package tools
Summary:	Helper applications for use with libgd.
Group:		Applications/Multimedia
Requires:	libgd = %{version}

%description tools
This package contains several helpful binaries for use the libgd,
the .gif graphics library.

%files tools
  %attr(0555,root,root)	%{_bindir}/*

%package devel
Summary:	The development libraries and header files for libgd.
Group:		Development/Libraries
Requires:	gd = %{version}
Provides:	gd-devel
Obsoletes:	gd-devel

%description devel
These are the development libraries and header files for libgd,
the .gif graphics library.

%files devel
  %attr(0555,root,root)	%{_libdir}/*.so
  %attr(0444,root,root)	%{_libdir}/*.a
  %attr(0444,root,root)	%{_libdir}/*.la
  %attr(0444,root,root)	%{_includedir}/*

%prep
%setup -q -n gd-%{version}

%build
  %configure
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.0.33, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
